package com.chang.sms;

import java.util.*;
import java.util.List;
import java.io.*;

public class Servers 
{
  private List servidores = new ArrayList();
  
  public Servers()
  {
  }
  
  public List initServers() throws Exception
  {
    List salida = new ArrayList();
    String home = System.getProperty("user.home", "not specified");    
    File linuxSMSDirectory = new File(home,".linuxsms");
    File servers = new File(linuxSMSDirectory,"servers");
    BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(servers)));
    String linea = reader.readLine();    
    while (linea!=null)
    {
      if (!linea.equals(""))
      {
        salida.add(linea);
        addServer(linea);
      } 
      linea = reader.readLine();
    }      
    return salida;  
  }

  private void addServer(String linea)
  {
    StringTokenizer st = new StringTokenizer(linea,"#");
    int cont = 0;
    String[] server_to_add = new String[5];
    for (int i=0;i<5;i++) server_to_add[i] = "";
    while (st.hasMoreTokens())
    {
      String aux = st.nextToken();
      server_to_add[cont] = aux;
      cont++;
    }
    servidores.add(server_to_add);
  }

  public List getServidores()
  {
    return servidores;
  }

  public String findServerMaxChars(String server)
  {
    Iterator iterar = servidores.iterator();
    boolean encontrado = false;
    String max = "";
    while (iterar.hasNext() && !encontrado)
    {
      String[] aux = (String[])iterar.next();
      if (aux[0].equals(server))
      {
        max = aux[2];
        encontrado = true;
      }
    }
    return max;
  }
}