package com.chang.sms;

import java.awt.Component;
import java.util.EventObject;
import java.awt.event.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.table.*;
import java.io.*;
import java.util.*;

public class cellAgenda implements TableCellEditor{

private ChangeEvent ev = new ChangeEvent( this );
private Object oValue;
private java.util.List lListeners = new ArrayList();
private JTextField textField;

public cellAgenda( JTextField texto ) {
  textField = new JTextField("");
  textField.addActionListener( new ActionListener() {
      public void actionPerformed( ActionEvent ev ) {
        stopCellEditing();
      }
  } );
}

public Component getTableCellEditorComponent( JTable table, Object value,
                                boolean isSelected, int row, int column)
{       
  oValue = value;
  textField.setText( value.toString());
  // Este métod se llama cuando se va a editar el campo
  System.out.println("Entramos::"+value.toString());
  return textField;
}
        
public Object getCellEditorValue() {
    return oValue;
}
        
public boolean stopCellEditing() {
  boolean bSuccess = true;
  oValue = textField.getText();
  notifyListeners( true );
  System.out.println("Hacemos un stop::"+textField.getText());
  return bSuccess;
}
        
public void cancelCellEditing() {
  notifyListeners( false );
}
        
public void addCellEditorListener(CellEditorListener l) {
  lListeners.add( l );
}
        
public void removeCellEditorListener(CellEditorListener l) {
  lListeners.remove( l );
}
        
public boolean isCellEditable(EventObject anEvent) {
  return true;
}
        
public boolean shouldSelectCell(EventObject anEvent) {
  return true;
}
        
private void notifyListeners( boolean bStop ) {
  for ( int i = 0; i < lListeners.size(); i++ ) {
      if ( bStop ) {
          ((CellEditorListener)lListeners.get(i)).editingStopped(ev);
          System.out.println(i);
      } else {
          ((CellEditorListener)lListeners.get(i)).editingCanceled(ev);
      }
  }
}

}
