package com.chang.sms;

import javax.swing.JTable;
import javax.swing.table.AbstractTableModel;
import javax.swing.JScrollPane;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import javax.swing.JOptionPane;
import java.awt.*;
import java.awt.event.*;
import java.util.Vector;
import java.util.Enumeration;

public class modeloAgenda extends AbstractTableModel
{
  public modeloAgenda()
  {
  }

  private Idioma idioma = new Idioma();
  final String[] columnNames = {idioma.getTexto("CONTACT"),idioma.getTexto("PREFIX"),idioma.getTexto("NUMBER")}; 
  final Vector data = new Vector();

  public int getColumnCount() {
      return columnNames.length;
  }
        
  public int getRowCount() {
    if (data!=null)
      return data.size();
    else
      return 10;
  }

  public String getColumnName(int col) {
      return columnNames[col];
  }

  public Object getValueAt(int row, int col) {
    if (data!=null)
    {
      String[] aux = (String[])data.get(row);
      return aux[col];
    }else
      return null;
  }

  public Object[] getValueAt(int row)
  {
    if (data!=null)
      return (Object[])data.get(row);
    else return null;
  }
  
  /*
   * JTable uses this method to determine the default renderer/
   * editor for each cell.  If we didn't implement this method,
   * then the last column would contain text ("true"/"false"),
   * rather than a check box.
   */
  public Class getColumnClass(int c) {
      return getValueAt(0, c).getClass();
  }

  /*
   * Don't need to implement this method unless your table's
   * editable.
   */
  public boolean isCellEditable(int row, int col) {
      return true;
  }

  /*
   * Don't need to implement this method unless your table's
   * data can change.
   */
  public void setValueAt(Object[] value, int row) {
    data.add(row,(String[])value);
    fireTableRowsUpdated(row,row);
  }
 
  public void addValue(Object[] value)
  {
    data.add(value);
    fireTableDataChanged();
  }

  public void deleteRow(Object[] dato)
  {
    Enumeration enumeracion = data.elements();
    int i = 0;
    while (enumeracion.hasMoreElements())
    {
      String[] aux = (String[])enumeracion.nextElement();
      if (dato[0].equals(aux[0]) && dato[1].equals(aux[1]) && dato[2].equals(aux[2]))
        data.remove(i);
      i++;
    }    
    fireTableDataChanged();
  }

  public void updateRow(int row, String contacto,String numero,String prefijo)
  {
    data.setElementAt(new String[]{contacto,prefijo,numero},row);
    fireTableRowsUpdated(row,row);
  }
}